ScanopyScanopy
Topologies

Update_topology

PUT
/api/v1/topology/{id}

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Path Parameters

id*string

Topology ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/v1/topology/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",    "options": {      "local": {},      "request": {}    }  }'
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.17"
  },
  "success": true,
  "data": {
    "network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
    "options": {
      "local": {
        "bundle_edges": true,
        "hide_edge_types": [
          "Hypervisor"
        ],
        "no_fade_edges": false,
        "show_minimap": true,
        "tag_filter": {
          "hidden_host_tag_ids": [],
          "hidden_service_tag_ids": [],
          "hidden_subnet_tag_ids": []
        }
      },
      "request": {
        "container_rules": {
          "Application": [
            {
              "id": "b98b3e61-f96b-4109-b905-2f4e28557409",
              "rule": {
                "ByApplication": {
                  "tag_ids": []
                }
              }
            }
          ],
          "L2Physical": [
            {
              "id": "4cc7c308-89aa-4544-8d39-78651922885f",
              "rule": "ByHost"
            }
          ],
          "L3Logical": [
            {
              "id": "e9077ff9-a84d-4a09-8dc7-678b42419019",
              "rule": "BySubnet"
            },
            {
              "id": "acf710eb-7955-41c9-ae5a-9ee86d9a94b0",
              "rule": "MergeContainerBridges"
            }
          ],
          "Workloads": [
            {
              "id": "4cc7c308-89aa-4544-8d39-78651922885f",
              "rule": "ByHost"
            }
          ]
        },
        "element_rules": [
          {
            "id": "088b17e6-b4bb-45a5-be4c-d37f597d2d41",
            "rule": "ByTrunkPort"
          },
          {
            "id": "83031bc6-eb6c-4f7d-9ab4-70ba76803fc7",
            "rule": "ByVLAN"
          },
          {
            "id": "94ce94b5-0a3f-4c06-b522-db411426ed32",
            "rule": "ByPortOpStatus"
          },
          {
            "id": "3f31894e-bbab-41e0-b1ba-0e09e132ca88",
            "rule": {
              "ByServiceCategory": {
                "categories": [
                  "NetworkCore",
                  "NetworkAccess",
                  "RemoteAccess",
                  "Workstation",
                  "Mobile",
                  "Printer",
                  "OpenPorts"
                ],
                "is_infra_rule": true,
                "title": "Infrastructure"
              }
            }
          },
          {
            "id": "da71007f-fca0-4577-b0fa-a0fa6bd4a26a",
            "rule": {
              "ByTag": {
                "tag_ids": [],
                "title": null
              }
            }
          },
          {
            "id": "15921fc5-e81a-4c7b-841e-39fb589bc435",
            "rule": "ByHypervisor"
          },
          {
            "id": "ae4befc2-2d6b-43e0-86c4-25c5fe0e216a",
            "rule": "ByContainerRuntime"
          },
          {
            "id": "164f3373-32de-4c7d-af66-a20f93445863",
            "rule": "ByStack"
          }
        ],
        "hide_entities": {},
        "hide_metadata_values": {
          "Application": {
            "Service": {
              "Category": [
                "OpenPorts"
              ]
            }
          },
          "L2Physical": {
            "Interface": {
              "LinkState": [
                "Unlinked"
              ]
            },
            "Service": {
              "Category": [
                "OpenPorts"
              ]
            }
          },
          "L3Logical": {
            "Service": {
              "Category": [
                "OpenPorts"
              ]
            }
          },
          "Workloads": {
            "Service": {
              "Category": [
                "OpenPorts"
              ]
            }
          }
        }
      }
    },
    "created_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "error": "string"
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.17.17"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}